> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Zepto Search

> Search Zepto by query — listings, prices, stock, ratings, images

`$0.003 / 1k products`

Search Zepto by query — listings, prices, stock, ratings, images

## Endpoint

`POST /api/v1/agents/zepto/search/run`

## Parameters

<ParamField body="stores" type="array">
  **Multi-select** · Pick one or more dark-store locations (city - pincode - store ID).

  [View all 1202 options →](/agents/zepto/search/values#stores)
</ParamField>

<ParamField body="cities" type="array">
  **Multi-select** · Or expand by city — pick one or more cities and we'll include all their stores.

  [View all 82 options →](/agents/zepto/search/values#cities)
</ParamField>

<ParamField body="pincodes" type="array">
  **Multi-select** · Or expand by pincode — pick one or more pincodes and we'll include all their stores.

  [View all 695 options →](/agents/zepto/search/values#pincodes)
</ParamField>

<ParamField body="queries" type="array" required>
  **List** · Search queries (e.g. milk, bread). One per line.
</ParamField>

<ParamField body="maxResults" type="integer" default={50}>
  **Number** · Maximum products to return per store × query. Use 0 for all.
</ParamField>

## Response columns

| Field         | Display name | Type       |
| ------------- | ------------ | ---------- |
| `searchQuery` | Search Query | text       |
| `storeId`     | Store ID     | text       |
| `city`        | City         | text       |
| `pincode`     | Pincode      | text       |
| `productUrl`  | Product URL  | url        |
| `productName` | Product Name | text       |
| `brand`       | Brand        | text       |
| `image`       | Image        | url        |
| `price`       | Price        | currency   |
| `mrp`         | MRP          | currency   |
| `discount`    | Discount %   | percentage |
| `quantity`    | Quantity     | text       |
| `weightG`     | Weight (g)   | number     |
| `unit`        | Unit         | text       |
| `rating`      | Rating       | rating     |
| `inStock`     | In Stock     | boolean    |
| `inventory`   | Inventory    | number     |
| `sponsored`   | Sponsored    | boolean    |
| `rank`        | Rank         | number     |
| `productType` | Product Type | text       |
| `category`    | Category     | text       |
| `platform`    | Platform     | text       |
| `page`        | Page         | number     |
| `productId`   | Product ID   | text       |
| `variantId`   | Variant ID   | text       |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/zepto/search/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "platform": "zepto",
      "stores": [
        "b1403534-cd6b-49d0-a7cd-ce20e6497768"
      ],
      "queries": [
        "milk",
        "chips"
      ],
      "max_pages": 1
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/zepto/search/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "platform": "zepto",
      "stores": [
          "b1403534-cd6b-49d0-a7cd-ce20e6497768"
      ],
      "queries": [
          "milk",
          "chips"
      ],
      "max_pages": 1
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "searchQuery": "chips",
      "storeId": "b1403534-cd6b-49d0-a7cd-ce20e6497768",
      "city": "Bengaluru",
      "pincode": "560001",
      "productUrl": "https://www.zepto.com/pn/x/pvid/e926ba50-2c33-4c2a-b604-807ece62637a",
      "productName": "Crax Zero No Palm Oil Masala Potato Chips Snacks",
      "brand": "Crax",
      "image": [
        "https://cdn.zeptonow.com/production/cms/product_variant/0f89746e-ed53-476e-9849-ac8cceb43ebb.png"
      ],
      "price": 32.0,
      "mrp": 50.0,
      "discount": 36.0,
      "quantity": "1 pack (65 g)",
      "weightG": 65,
      "unit": "GRAM",
      "rating": 4.7,
      "inStock": true,
      "inventory": 2,
      "sponsored": true,
      "rank": 0,
      "productType": "SELLABLESKU",
      "category": "Munchies",
      "platform": "Zepto",
      "page": 0,
      "productId": "418b0c88-628d-4d6a-867d-c1bd5a98a5a3",
      "variantId": "e926ba50-2c33-4c2a-b604-807ece62637a"
    }
  ]
}
```
